stjerm project is abandoned(unmaintained) upstream -- please remove from archives

Bug #1728241 reported by Chris Rainey on 2017-10-28
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
stjerm (Ubuntu)
Undecided
Unassigned

Bug Description

Please remove this outdated and unmaintained package from the Ubuntu archives due to bugs and lack of upstream maintenance.

Upstream: https://github.com/stjerm/stjerm

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: stjerm 0.16-0ubuntu2
ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
Uname: Linux 4.10.0-37-generic x86_64
ApportVersion: 2.20.4-0ubuntu4.5
Architecture: amd64
Date: Sat Oct 28 09:48:28 2017
EcryptfsInUse: Yes
InstallationDate: Installed on 2017-09-19 (39 days ago)
InstallationMedia: Ubuntu-Budgie 17.04 "Zesty Zapus" - Release amd64 (20170412)
SourcePackage: stjerm
UpgradeStatus: No upgrade log present (probably fresh install)

Chris Rainey (ckrzen) wrote :
Chris Rainey (ckrzen) wrote :

chris@CKR-3:~$ reverse-depends src:stjerm
No reverse dependencies found
chris@CKR-3:~$

Jeremy Bicha (jbicha) on 2017-10-28
Changed in stjerm (Ubuntu):
status: New → Confirmed
dino99 (9d9) on 2018-01-15
tags: added: artful bionic trusty xenial
Steve Langasek (vorlon) wrote :

What bugs, specifically, do you believe justify this package's removal from the archive?

There are only two other bug reports open against the package, neither of which at a glance seems particularly severe.

The package does not appear to be causing maintenance problems for the Ubuntu release (it builds from source; it has no obsolete library dependencies).

It doesn't seem necessary to remove this package from the archive.

Changed in stjerm (Ubuntu):
status: Confirmed → Incomplete

@Steve Langasek please see my original bug for the details of why I believe
this package should be removed unless upstream will update to latest
released version:
https://bugs.launchpad.net/ubuntu/+source/stjerm/+bug/1717013

I followed directions given by Jeremy Bicha to request removal of the
package as seen here:
https://bugs.launchpad.net/ubuntu/+source/stjerm/+bug/1727768

On Wed, Apr 17, 2019 at 2:20 PM Steve Langasek <email address hidden>
wrote:

> What bugs, specifically, do you believe justify this package's removal
> from the archive?
>
> There are only two other bug reports open against the package, neither
> of which at a glance seems particularly severe.
>
> The package does not appear to be causing maintenance problems for the
> Ubuntu release (it builds from source; it has no obsolete library
> dependencies).
>
> It doesn't seem necessary to remove this package from the archive.
>
> ** Changed in: stjerm (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1728241
>
> Title:
> stjerm project is abandoned(unmaintained) upstream -- please remove
> from archives
>
> Status in stjerm package in Ubuntu:
> Incomplete
>
> Bug description:
> Please remove this outdated and unmaintained package from the Ubuntu
> archives due to bugs and lack of upstream maintenance.
>
> Upstream: https://github.com/stjerm/stjerm
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: stjerm 0.16-0ubuntu2
> ProcVersionSignature: Ubuntu 4.10.0-37.41-generic 4.10.17
> Uname: Linux 4.10.0-37-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.5
> Architecture: amd64
> Date: Sat Oct 28 09:48:28 2017
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2017-09-19 (39 days ago)
> InstallationMedia: Ubuntu-Budgie 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> SourcePackage: stjerm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/stjerm/+bug/1728241/+subscriptions
>

Steve Langasek (vorlon) wrote :

Removing packages from eoan:
 stjerm 0.16-0ubuntu3 in eoan
  stjerm 0.16-0ubuntu3 in eoan amd64
  stjerm 0.16-0ubuntu3 in eoan arm64
  stjerm 0.16-0ubuntu3 in eoan armhf
  stjerm 0.16-0ubuntu3 in eoan i386
  stjerm 0.16-0ubuntu3 in eoan ppc64el
  stjerm 0.16-0ubuntu3 in eoan s390x
Comment: Ubuntu-specific, unmaintained, depends on GTK+2.0 and abandoned upstream; LP: #1728241
1 package successfully removed.

Changed in stjerm (Ubuntu):
status: Incomplete → Fix Released
Egmont Koblinger (egmont-gmail) wrote :

Thanks guys for having addressed this removal! I just came here to report the same request.

> What bugs, specifically, do you believe justify this package's removal from the archive?

Pretty much the entire set of bugs that have been fixed in VTE in the last 8 years :-) including potential data leakage by writing the scrollback data unencrytped to disk.

> it has no obsolete library dependencies

It uses an ancient version of VTE which I just asked to get removed in bug 1829377.

There are about a dozen VTE-based emulators shipped by Ubuntu, IMO it's already too much. I see no point in carrying one that couldn't catch up with API changes for 8 years.

I'm just commenting to confirm that you made the right choice by removing stjerm, thanks again!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers